--- title: "Get the Protected VM Group Details" slug: "get-the-protected-vm-group-details-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:57Z published: 2026-11-19T12:57:57Z canonical: "docs.trellix.com/get-the-protected-vm-group-details-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the Protected VM Group Details This URL gets the protected VM group details. ### Resource URL PUT /cloud/cluster//getvmgroup ### Request Parameters **URL Parameters** | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `id` | Cluster id | Number | Yes | **Payload Request Parameters** | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `name` | Protected VM group name | String | yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned: | Field Name | Description | Data Type | | --- | --- | --- | | `name` | Protected VM group name | String | | `description` | Protected VM group description | String | | `cloudCluster` | Cluster name | String | | `cloudConnector` | Controller name | String | | `vpc` | VPC where the protected VM proup has been created | Array | | `resourceGroup` | Resource group list in case of Azure | Array | | `advancedAgentSettings` | Traffic inspection settings | Object | | `protectedObjects` | List of the protected subnets | Array | | `lastUpdated` | Last updated time | String | Details of fields in advancedAgentSettings: | Field Name | Description | Data Type | | --- | --- | --- | | `trafficProcessing` | Traffic processing direction. Values can be: - Ingress - Egress - Ingress & Egress | String | | `inspectionMode` | Inspection mode. Values can be : - IPS - IDS | String | ### Example **Request** PUT [https:///sdkapi/cloud/cluster/101/getvmgroup](https://<NSM_IP>/sdkapi/cloud/cluster/101/getvmgroup) **Payload** ``` { “name”: “Protected_VMGroup” } ``` **Response** ``` {                "oldName": null,                "name": "Protected_VMGroup",                "description": "api update",                "cloudCluster": "Cloud_Cluster",                "cloudConnector": "Cloud_Controller",                "vpc": ["vpc-06b3ce61(Cloud_test)"],                "advancedAgentSettings":                {                    "trafficProcessing": "Ingress & Egress",                    "inspectionMode": "ips"                },                "protectedObjects":                [                    "subnet-bde05df4(Secure_subnet)"                ],                "lastUpdated": "2017-03-23 11:02:50.0 ( admin)"            } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error message | | 2 | 400 | 11001 | No VM group of name in cluster |